package de.jalin.ldapadmin.web;

import java.util.Locale;
import java.util.MissingResourceException;
import java.util.ResourceBundle;

public class Messages {

    private static final String BUNDLE_NAME = "de.jalin.ldapadmin.web.messages";

    private final ResourceBundle resourceBundle;

    public Messages(final Locale requestLocale) {
        resourceBundle = ResourceBundle.getBundle(BUNDLE_NAME, requestLocale);
    }

    public String getString(final String key) {
        try {
            return resourceBundle.getString(key);
        } catch (MissingResourceException e) {
            return '!' + key + '!';
        }
    }
}
