<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<fmt:setBundle basename="de.jalin.ldapadmin.groups"/>
<!DOCTYPE html>
<html lang="{language}">
<jsp:include page="template/header.jsp"/>
<body>
	<jsp:include page="template/navbar.jsp"/>
	<c:url var="formaction" value="/group/${group.dn}?op=${operation}" />
    <div class="container">
    	<h1 class="col-sm-offset-3"><fmt:message key="groups.group.title"/> ${group.name}</h1>
    	<c:if test="${ not empty errormessage }">
			<div class="alert col-sm-offset-3">
			  <a class="close" data-dismiss="alert">×</a>
			  <strong><fmt:message key="groups.error.title"/></strong> ${errormessage}
			</div>
		</c:if>
    	<c:if test="${ operation eq 'view' }">
	    	<div class="control-group">
		    	<div class="btn-group col-sm-12">
					<c:url var="editgroupurl" value="/group/${group.dn}?op=edit" />
		    		<a href="${editgroupurl}" class="btn btn-default pull-right additional-space-bottom"><fmt:message key="groups.operations.update"/></a>
	    		</div>
	    	</div>
    	</c:if>
    	<c:if test="${ operation eq 'delete' }">
	    	<div class="control-group">
		    	<div class="col-sm-12">
		    		<p class="col-sm-offset-3"><fmt:message key="groups.confirm.delete"/></p>
	    		</div>
	    	</div>
    	</c:if>
    	<c:if test="${ operation ne 'view' }">
    		<div class="additional-space-top">&nbsp;</div>
    	</c:if>
    	<div class="control-group">
			<form class="form-horizontal" method="post" action="${formaction}">
				<fieldset ${formdisabled} class="col-sm-12">
					<div class="form-group">
						<label for="name" class="col-sm-3 control-label"><fmt:message key="groups.label.name"/></label> 
						<div class="col-sm-9">
							<input ${iddisabled}
								type="text" class="form-control" id="name" name="name"
								value="${group.name}" placeholder="Group name">
						</div>
					</div>
					<div class="form-group">
						<label for="membership" class="col-sm-3 control-label"><fmt:message key="groups.label.members"/></label> 
						<div class="col-sm-9" id ="membership">
							<c:forEach items="${users}" var="userentry" >
								<div class="checkbox">
									<jsp:useBean id="checker" class="de.jalin.ldapadmin.beans.MembershipCheck" />
									<jsp:setProperty property="user" name="checker" value="${userentry.value}" />
									<jsp:setProperty property="group" name="checker" value="${group}" />
									<label><input type="checkbox" id="${userentry.value.login}" name="check_user_${userentry.value.login}" ${checker.checked}>${userentry.value.firstname} ${userentry.value.lastname} (${userentry.value.login})</label>
								</div>
							</c:forEach>
						</div>
					</div>
					<c:if test="${ formdisabled ne 'disabled' }">
						<button type="submit" class="col-sm-offset-3 btn btn-primary additional-space-top"><fmt:message key="groups.operations.submit"/></button>
					</c:if>
				</fieldset>
		    	<c:if test="${ operation eq 'delete' }">
		    		<button type="submit" class="col-sm-offset-3 btn btn-primary additional-space-top"><fmt:message key="groups.operations.delete"/></button>
		    	</c:if>
			</form>
    	</div>
	</div>
	<jsp:include  page="template/footer.jsp"/>
</body>
</html>
