<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<fmt:setBundle basename="de.jalin.ldapadmin.login"/>
<!DOCTYPE html>
<html lang="{language}">
<jsp:include page="template/header.jsp"/>
<body>
    <jsp:include page="template/empty-navbar.jsp"/>
    <!-- Page Content -->
    <c:url var="formaction" value="j_security_check" />
    <c:url var="passwordreset" value="/passwordreset" />
    <div class="container">
        <h1><fmt:message key="login.title"/></h1>
        <div class="alert">
            <a class="close" data-dismiss="alert">×</a>
            <strong><fmt:message key="login.error.title"/></strong> <fmt:message key="login.error.message"/>
        </div>
    	<div class="control-group col-sm-6 additional-space-top">
            <form class="form-horizontal" method="post" action="${formaction}">
                <fieldset class="">
                    <div class="form-group">
                        <label for="j_username" class="col-sm-4 control-label"><fmt:message key="login.username"/></label> 
                        <div class="col-sm-8">
                            <input
                                type="text" class="form-control" id="j_username" name="j_username"
                                value="" placeholder="Login name">
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="j_password" class="col-sm-4 control-label"><fmt:message key="login.password"/></label> 
                        <div class="col-sm-8">
                            <input
                                type="password" class="form-control" id="j_password" name="j_password"
                                value="" placeholder="Password">
                        </div>
                    </div>
                    <button type="submit" class="col-sm-offset-4 btn btn-primary additional-space-top"><fmt:message key="login.submit"/></button>
                    <div class="form-group additional-space-top">
                        <a href="${passwordreset}" class="col-sm-offset-4"><fmt:message key="login.reset.password"/></a>
                    </div>
                </fieldset>
            </form>
    	</div>
    </div>
    <jsp:include page="template/footer.jsp"/>
</body>
</html>
