<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<fmt:setBundle basename="de.jalin.ldapadmin.login"/>
<!DOCTYPE html>
<html lang="{language}">
<jsp:include page="template/header.jsp"/>
<body>
	<jsp:include page="template/navbar.jsp"/>
	<c:url var="formaction" value="/passwordreset" />
    <div class="container">
    	<h1 class="col-sm-offset-3">${user.firstname} ${user.lastname}</h1>
    	<c:if test="${ not empty errormessage }">
			<div class="alert alert-error col-sm-offset-3">
			  <a class="close" data-dismiss="alert">×</a>
			  <strong><fmt:message key="login.error.title"/></strong> ${errormessage}
			</div>
		</c:if>
    	<c:if test="${ not empty successmessage }">
			<div class="alert alert-success col-sm-offset-3">
			  <a class="close" data-dismiss="alert">×</a>
			  ${successmessage}
			</div>
		</c:if>
   		<div class="additional-space-top">&nbsp;</div>
    	<div class="control-group">
			<form class="form-horizontal" method="post" action="${formaction}">
				<fieldset class="col-sm-12">
					<div class="form-group">
						<label for="logindis" class="col-sm-3 control-label"><fmt:message key="login.username"/></label> 
						<div class="col-sm-9">
							<input disabled
								type="text" class="form-control" id="logindis" name="logindis"
								value="${user.login}" placeholder="Enter login">
							<input 
								type="hidden" class="form-control" id="login" name="login"
								value="${user.login}" placeholder="Enter login">
						</div>
					</div>
					<div class="form-group">
						<label for="password" class="col-sm-3 control-label"><fmt:message key="login.password"/></label> 
						<div class="col-sm-9">
							<input
								type="password" class="form-control" id="password" name="password"
								value="" placeholder="Enter password">
						</div>
					</div>
					<div class="form-group">
						<label for="password2" class="col-sm-3 control-label"><fmt:message key="login.password.repeat"/></label> 
						<div class="col-sm-9">
							<input
								type="password" class="form-control" id="password2" name="password2"
								value="" placeholder="Repeat password">
						</div>
					</div>
					<button type="submit" class="col-sm-offset-3 btn btn-primary additional-space-top"><fmt:message key="login.password.change"/></button>
				</fieldset>
			</form>
		</div>
	</div>
	<jsp:include  page="template/footer.jsp"/>
</body>
</html>
