<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<fmt:setBundle basename="de.jalin.ldapadmin.login"/>
<!DOCTYPE html>
<html lang="{language}">
<jsp:include page="template/header.jsp"/>
<body>
	<jsp:include page="template/navbar.jsp"/>
	<c:url var="formaction" value="/passwordreset" />
    <div class="container">
    	<h1 class="col-sm-offset-3"><fmt:message key="password.reset.title"/></h1>
    	<c:if test="${ not empty errormessage }">
			<div class="alert alert-error col-sm-offset-3">
			  <a class="close" data-dismiss="alert">×</a>
			  <strong><fmt:message key="password.error.title"/></strong> ${errormessage}
			</div>
		</c:if>
    	<div class="control-group">
			<form class="form-horizontal" method="post" action="${formaction}">
				<fieldset class="col-sm-12">
					<div class="form-group">
						<label for="login" class="col-sm-3 control-label"><fmt:message key="password.reset.loginoremail"/></label> 
						<div class="col-sm-5">
							<input 
								type="text" class="form-control" id="loginoremail" name="loginoremail"
								value="" placeholder="Enter login or email address">
						</div>
					</div>
				</fieldset>
		    	<button type="submit" class="col-sm-offset-3 btn btn-primary additional-space-top"><fmt:message key="password.reset.submit"/></button>
			</form>
		</div>
	</div>
	<jsp:include  page="template/footer.jsp"/>
</body>
</html>
